GET checks?enabled={enabled}&severity={severity}&include_tag_op={include_tag_op}
Gets a list of checks that are visible to you as a user or a customer depending on the request context. The result can be filtered by optional parameters.
URL Parameters
| Name | Description |
|---|---|
| include_tag | (Optional) The 'include_tag' parameter defines which checks to include in the response, by filtering on the check 'tags' (see the Filtering by Tags section in Remarks for details). |
| exclude_tag | (Optional) The 'exclude_tag' parameter defines which checks to exclude from the response, by filtering on the check 'tags' (see the Filtering by Tags section in Remarks for details). |
| enabled | (Optional) Determines which checks to include in the response. If true, only enabled checks will be included in the response. Type: boolean. Example: true. |
| severity | (Optional) Uses severity to select which check results to include in the response: 'I','W','E','F'. Type: string. Examples: "IEWF", "EF", "W". |
| include_tag_op | AND/OR mode for including tags. Allowed values: 'or', 'and'. Default value: 'or'. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Filtering by Tags
Checks can be filtered on the check 'tags', using tag 'key' and/or 'value'. Tilde '~' is used to indicate values. Multiple values are separated with semicolon ';'. Example: Environment~Dev;Prod (Key: 'Environment', Values: 'Dev' and 'Prod').You can provide the tag key only (all checks with that key) or only the value (all checks with that value in any key). Examples: Environment (key); ~Dev (value).
You can use the tag or key ID, by adding a '.' (period) before the ID. Examples: .4568~Prod (Tag key ID:'4568', value 'Prod'); Environment~.6985 (Tag key: 'Environment', value ID:'6985').
Interval
The interval_seconds field defines the frequency that the check will run. If its value equals 0 the check will run in manual mode.Returns
Returns list of basic check info or extended check info for some check types (see GET checks/{checkId} route for extended check info examples and descriptions).Request example
curl --request GET "https://api-asm1.apica.io/v3/checks?enabled=true&severity=I&include_tag_op={"{"}include_tag_op{"}"}&auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
The basic check info
[
{
"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:45:02",
"severity": "I",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
},
{
"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:45:02",
"severity": "U",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
},
{
"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check name",
"check_type": "FprXnet",
"check_type_name": "Real Browser, Chrome",
"check_type_api": "browser",
"enabled": true,
"location": "Sweden, Stockholm",
"country_code": "SE",
"sla_percent_current_month": 99.0,
"timestamp_utc": "2024-09-30T18:45:02",
"severity": "W",
"value": 100,
"unit": "ms",
"target_sla": 99.0,
"check_symbol": "N926_M77144_C76783_CMD_20150724_091538_003",
"threshold_w": 10000,
"threshold_w_dynamic": {
"baseline_measure": "std",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_e": 20000,
"threshold_e_dynamic": null,
"threshold_lo_w": 10000,
"threshold_lo_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 1,
"factor": 1.0,
"offset": 1
},
"threshold_lo_e": 20000,
"threshold_lo_e_dynamic": null,
"scheduled_inclusion": "mon-fri: 05:00-24:00;sat-sun: 08:00-16:00",
"scheduled_exclusion": "sat-sun: 16:00-20:00",
"interval_seconds": 300,
"last_result_details": {
"message": "Result message",
"attempts": 3,
"result_code": 0
},
"tags": {
"Environment": [
"Prod",
"Dev"
],
"Region": [
"USA",
"SWE"
]
},
"port": 1,
"acceptedCodes": "sample string 1",
"secureProtocolVersion": "sample string 2"
}
]
| Name | Type | Description |
|---|---|---|
| id | Integer | The numeric identifier of the check. |
| guid | String | The check GUID. |
| name | String | The check descriptor. |
| check_type | String | The check type. |
| check_type_name | String | The check type name. |
| check_type_api | String | The check type alias in API. |
| enabled | Boolean | Indicates whether the check is enabled or not. |
| location | String | The title of the check location. |
| country_code | String | The country code in 2 digit ISO format. |
| sla_percent_current_month | Float | The SLA of the check in the current month. |
| timestamp_utc | DateTime | The last check result timestamp in UTC. (Null if no result is found.) |
| severity | String | The last check result severity. Available values: 'I', 'W', 'E', 'F', 'U'. 'U' if no result is found. |
| value | Integer | The last check result value. (Null if no result is found.) |
| unit | String | The unit of measure for the last check result. (Null if no result is found.) |
| target_sla | Float | The target SLA of the check. |
| check_symbol | String | The check symbol. Some inernal identity of the check. |
| threshold_w | Integer | The value of high warning threshold (null if no threshold is specified). |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold (null if no threshold is specified). |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold (null if no threshold is specified). |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold (null if no threshold is specified). |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If the object is null it means the threshold is constant. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| scheduled_inclusion | String | Defines specific day/time ranges when the check will run. |
| scheduled_exclusion | String | Defines specific day/time ranges when the check will not run. |
| interval_seconds | Integer | The frequency of running check in seconds. If the value equals 0 it means the check runs manually. |
| last_result_details | Object | Contains details about the last check result. |
| message | String | The result message. |
| attempts | Integer | The number of attempts to get the result. |
| result_code | Integer | The result code. |
| tags | Object | Check tags. |
| port | Integer | Proxy TCP/IP port number. |
| acceptedCodes | String | Accepted codes. Default value is 200. |
| secureProtocolVersion | String | Secure protocol version. |